//
//  AV_CalenDarcell.swift
//  anniversary_Project
//
//  Created by 忆海16 on 2024/4/16.
//

import UIKit

class AV_CalenDarcell: UITableViewCell {
    @IBOutlet weak var bgView: UIView!
    
    @IBOutlet weak var typeImageV: UIImageView!
    
    @IBOutlet weak var titleLabel: UILabel!
    
    @IBOutlet weak var timeLabel: UILabel!
    
    override func awakeFromNib() {
        super.awakeFromNib()
        bgView.layer.cornerRadius = 10
    }
    var model:UserModel?{
        didSet{
            titleLabel.text = model?.name
            timeLabel.text = model?.date
            let typename = model?.type
            if typename == "Schedule"{
                self.typeImageV.image = UIImage(named: "schedule_n")
            }else if typename == "Birthday"{
                self.typeImageV.image = UIImage(named: "birthday_n")
            }else{
                self.typeImageV.image = UIImage(named: "memor_n")
            }
        }
    }

    
}
